#
# spec file for package rubygem-http
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-http
Version:        5.1.0
Release:        1.5
%define mod_name http
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.6}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/httprb/http
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        HTTP should be easy
License:        MIT
Group:          Development/Languages/Ruby

%description
An easy-to-use client library for making requests from Ruby. It uses a simple
method chaining system for building requests, similar to Python's Requests.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f
# MANUAL
# drop files from the git repository
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.rubocop*' -o -name '.github' -o -name '.yardopts' -o -name '.rspec' -o -name '.gitignore' \) | xargs rm -rf
# /MANUAL

%gem_packages

%changelog
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.1.0
  see installed CHANGES.md
  [#]# 5.1.0 (2022-06-17)
  * Drop ruby-2.5 support.
  * [#715](https://github.com/httprb/http/pull/715)
    Set default encoding to UTF-8 for `application/json`.
    ([@drwl])
  * [#712](https://github.com/httprb/http/pull/712)
    Recognize cookies set by redirect.
    ([@tkellogg])
  * [#707](https://github.com/httprb/http/pull/707)
    Distinguish connection timeouts.
    ([@YuLeven])
* Mon Oct 25 2021 Dan Čermák <dcermak@suse.com>
- New upstream release 5.0.4
  [#]# 5.0.4 (2021-10-07)
  * [#698](https://github.com/httprb/http/pull/698)
  Fix `HTTP::Timeout::Global#connect_ssl`.
  ([@tarcieri])
  [#]# 5.0.3 (2021-10-06)
  * [#695](https://github.com/httprb/http/pull/695)
  Revert DNS resolving feature.
  ([@PhilCoggins])
  * [#694](https://github.com/httprb/http/pull/694)
  Fix cookies extraction.
  ([@flosacca])
  [#]# 5.0.2 (2021-09-10)
  * [#686](https://github.com/httprb/http/pull/686)
  Correctly reset the parser.
  ([@bryanp])
  * [#684](https://github.com/httprb/http/pull/684)
  Don't set Content-Length for GET, HEAD, DELETE, or CONNECT requests without a BODY.
  ([@jyn514])
  * [#679](https://github.com/httprb/http/pull/679)
  Use features on redirected requests.
  ([@nomis])
  * [#678](https://github.com/schwern)
  Restore `HTTP::Response` `:uri` option for backwards compatibility.
  ([@schwern])
  * [#676](https://github.com/httprb/http/pull/676)
  Update addressable because of CVE-2021-32740.
  ([@matheussilvasantos])
  * [#653](https://github.com/httprb/http/pull/653)
  Avoid force encodings on frozen strings.
  ([@bvicenzo])
  * [#638](https://github.com/httprb/http/pull/638)
  DNS failover handling.
  ([@midnight-wonderer])
* Wed Aug 25 2021 Dan Čermák <dcermak@suse.com>
- Cleanup spec
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 5.0.1
  see installed CHANGES.md
  [#]# 5.0.1 (2021-06-26)
  * [#670](https://github.com/httprb/http/pull/670)
    Revert `Response#parse` behavior introduced in #540.
    ([@DannyBen])
  * [#669](https://github.com/httprb/http/pull/669)
    Prevent bodies from being resubmitted when following unsafe redirects.
    ([@odinhb])
  * [#664](https://github.com/httprb/http/pull/664)
    Bump llhttp-ffi to 0.3.0.
    ([@bryanp])
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 5.0.0
  see installed CHANGES.md
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.4.1
  see installed CHANGES.md
  [#]# 4.4.1 (2020-03-29)
  * Backport [#590](https://github.com/httprb/http/pull/590)
    Fix parser failing on some edge cases.
    ([@ixti])
  [#]# 4.4.0 (2020-03-25)
  * Backport [#587](https://github.com/httprb/http/pull/587)
    Fix redirections when server responds with multiple Location headers.
    ([@ixti])
  * Backport [#599](https://github.com/httprb/http/pull/599)
    Allow passing HTTP::FormData::{Multipart,UrlEncoded} object directly.
    ([@ixti])
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.3.0
  see installed CHANGES.md
  [#]# 4.3.0 (2020-01-09)
  * Backport [#581](https://github.com/httprb/http/pull/581)
    Add Ruby-2.7 compatibility.
    ([@ixti], [@janko])
  [#]# 4.2.0 (2019-10-22)
  * Backport [#489](https://github.com/httprb/http/pull/489)
    Fix HTTP parser.
    ([@ixti], [@fxposter])
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.1.1
  see installed CHANGES.md
  [#]# 4.1.1 (2019-03-12)
  * Add `HTTP::Headers::ACCEPT_ENCODING` constant.
    ([@ixti])
  [#]# 4.1.0 (2019-03-11)
  * [#533](https://github.com/httprb/http/pull/533)
    Add URI normalizer feature that allows to swap default URI normalizer.
    ([@mamoonraja])
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.5
  see installed CHANGES.md
  [#]# 4.0.5 (2019-02-15)
  * Backport [#532](https://github.com/httprb/http/pull/532) from master.
    Fix pipes support in request bodies.
    ([@ixti])
  [#]# 4.0.4 (2019-02-12)
  * Backport [#506](https://github.com/httprb/http/pull/506) from master.
    Skip auto-deflate when there is no body.
    ([@Bonias])
  [#]# 4.0.3 (2019-01-18)
  * Fix missing URL in response wrapped by auto inflate.
    ([@ixti])
  * Provide `HTTP::Request#inspect` method for debugging purposes.
    ([@ixti])
  [#]# 4.0.2 (2019-01-15)
  * [#506](https://github.com/httprb/http/pull/506)
    Fix instrumentation feature.
    ([@paul])
  [#]# 4.0.1 (2019-01-14)
  * [#515](https://github.com/httprb/http/pull/515)
    Fix `#build_request` and `#request` to respect default options.
    ([@RickCSong])
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.0
  see installed CHANGES.md
  [#]# 4.0.0 (2018-10-15)
  * [#468](https://github.com/httprb/http/pull/468)
    Rewind `HTTP::Request::Body#source` once `#each` is complete.
    ([@ixti])
  * [#467](https://github.com/httprb/http/pull/467)
    Drop Ruby 2.2 support.
    ([@ixti])
  * [#436](https://github.com/httprb/http/pull/436)
    Raise ConnectionError when writing to socket fails.
    ([@janko-m])
  * [#438](https://github.com/httprb/http/pull/438)
    Expose `HTTP::Request::Body#source`.
    ([@janko-m])
  * [#446](https://github.com/httprb/http/pull/446)
    Simplify setting a timeout.
    ([@mikegee])
  * [#451](https://github.com/httprb/http/pull/451)
    Reduce memory usage when reading response body.
    ([@janko-m])
  * [#458](https://github.com/httprb/http/pull/458)
    Extract HTTP::Client#build_request method.
    ([@tycoon])
  * [#462](https://github.com/httprb/http/pull/462)
    Fix HTTP::Request#headline to allow two leading slashes in path.
    ([@scarfacedeb])
  * [#454](https://github.com/httprb/http/pull/454)
    [#464](https://github.com/httprb/http/pull/464)
    [#384](https://github.com/httprb/http/issues/384)
    Fix #readpartial not respecting max length argument.
    ([@janko-m], [@marshall-lee])
* Wed Apr 25 2018 factory-auto@kulow.org
- updated to version 3.3.0
  see installed CHANGES.md
  [#]# 3.3.0 (2018-04-25)
  This version backports some of the fixes and improvements made to development
  version of the HTTP gem:
  * [#458](https://github.com/httprb/http/pull/458)
    Extract HTTP::Client#build_request method.
    ([@tycoon])
* Tue Apr 24 2018 factory-auto@kulow.org
- updated to version 3.2.1
  see installed CHANGES.md
  [#]# 3.2.1 (2018-04-24)
  * [#468](https://github.com/httprb/http/pull/468)
    Rewind `HTTP::Request::Body#source` once `#each` is complete.
    ([@ixti])
* Sun Apr 22 2018 factory-auto@kulow.org
- updated to version 3.2.0
  see installed CHANGES.md
  [#]# 3.2.0 (2018-04-22)
  This vresion backports one change we missed to backport in previous release:
  * Reduce memory usage when reading response body
    ([@janko-m])
  [#]# 3.1.0 (2018-04-22)
  This version backports some of the fixes and improvements made to development
  version of the HTTP gem:
  * Fix for `#readpartial` to respect max length argument.
    ([@janko-m], [@marshall-lee])
  * Fix for `HTTP::Request#headline` to allow two leading slashes in path.
    ([@scarfacedeb])
  * Fix query string building for string with newlines.
    ([@mikegee])
  * Deallocate temporary strings in `Response::Body#to_s`.
    ([@janko-m])
  * Add `Request::Body#source`.
    ([@janko-m])
* Wed Oct 11 2017 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGES.md
  [#]# 3.0.0 (2017-10-01)
  * Drop support of Ruby `2.0` and Ruby `2.1`.
    ([@ixti])
  * [#410](https://github.com/httprb/http/pull/410)
    Infer `Host` header upon redirects.
    ([@janko-m])
  * [#409](https://github.com/httprb/http/pull/409)
    Enables request body streaming on any IO object.
    ([@janko-m])
  * [#413](https://github.com/httprb/http/issues/413),
    [#414](https://github.com/httprb/http/pull/414)
    Fix encoding of body chunks.
    ([@janko-m])
  * [#368](https://github.com/httprb/http/pull/368),
    [#357](https://github.com/httprb/http/issues/357)
    Fix timeout issue.
    ([@HoneyryderChuck])
* Tue May 23 2017 coolo@suse.com
- updated to version 2.2.2
  see installed CHANGES.md
  [#]# 2.2.2 (2017-04-27)
  * [#404](https://github.com/httprb/http/issues/404),
    [#405](https://github.com/httprb/http/pull/405)
    Make keepalive timeout configurable.
    ([@nestegg])
* Tue Feb 14 2017 mmeister@suse.com
- Initial packaging
